<div [hidden]="!showSpinner">
    <app-spinner></app-spinner>
</div>
<div id="loans-mobile-return">
    <div class="mobile-main-header">
        <div class="header-navigate pull-left">
            <a (click)="navigateToLanding()"><i class="navigate-back fa fa-chevron-left"></i></a>
        </div>
        <div class="header-title"><h5 style="padding-right:12px">RETURN LOAN</h5></div>
    </div>
    <br />
    <div class="row">
        <div class="col-sm-12">
                <div *ngIf="!isDetail">
                    <div class="control-group">
                        <div class="form-group floating-label-form-group controls mb-0 pb-2">
                            <input type="text" [(ngModel)]="model.LoanId" placeholder="Loan Id" class="form-control">
                        </div>
                    </div>
                    <div class="form-group btn-group">
                        <button type="button" (click)="search()" class="btn btn-md btn-primary col-sm-12">
                            <i class="fa fa-search"></i> Search
                        </button>
                    </div>
                </div>
                <div id="loan-preview">
                    <div *ngIf="!withData">No Records Found...</div>
                    <div [ngClass]="hidden" class="control-group">
                        <div class="row clearfix">
                            <div class="col-sm-12">
                                <div class="info-banner" style="text-align: center;">
                                    <div *ngIf="model.StatusId === 4" class="alert alert-primary">
                                        Not Confirmed
                                    </div>
                                    <div *ngIf="model.StatusId === 1" class="alert alert-info">
                                        Confirmed & Active
                                    </div>
                                    <div *ngIf="model.StatusId === 2" class="alert alert-success">
                                        Returned
                                    </div>
                                    <div *ngIf="model.StatusId === 5" class="alert alert-warning">
                                        Passed Date
                                    </div>
                                    <div *ngIf="model.StatusId === 3" class="alert alert-danger">
                                        Deleted
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="row clearfix">
                            <div class="col-sm-12">
                                <div class="form-float">
                                      <div class="form-line">
                                         <span class="form-span-label">Loan Id</span>
                                        <label class="col-form-label-sm">{{ model.LoanId }}</label>
                                      </div>
                                </div>
                            </div>
                        </div>
                        <div class="row clearfix">
                              <div class="col-sm-6">
                                <div class="form-float">
                                    <div class="form-line">
                                        <span class="form-span-label">Name</span>
                                        <label class="col-form-label-sm">{{ model.Customer.Name }}</label>
                                    </div>
                                </div>
                            </div>
                            <div class="col-sm-6">
                                <div class="form-float">
                                    <div class="form-line">
                                        <span class="form-span-label">Company</span>
                                        <label class="col-form-label-sm">{{ model.Customer.Company }}</label>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="row clearfix">
                            <div class="col-sm-6">
                                <div class="form-float">
                                    <div class="form-line">
                                        <span class="form-span-label">Site</span>
                                        <div class="input-group">
                                            <label class="col-form-label-sm">{{ model.Site.Name }}</label>
                                            <span class="form-label-symbol">
                                                    <span class="fa fa-hospital-o"></span>
                                            </span>    
                                        </div>                           
                                    </div>
                                </div>
                            </div>
                            <div class="col-sm-6">
                                <div class="form-float">
                                    <div class="form-line">
                                        <span class="form-span-label">Loaned Date</span>
                                        <div class="input-group">
                                            <label class="col-form-label-sm">{{ model.LoanedDate | date : 'MM-dd-yyyy, h:mm a' }}</label>
                                            <span class="form-label-symbol">
                                                <span class="fa fa-calendar"></span>
                                            </span>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div *ngIf="model.StatusId === 2" class="col-sm-6">
                                <div class="form-float">
                                    <div class="form-line">
                                        <span class="form-span-label">Returned Date</span>
                                        <div class="input-group">
                                            <label class="col-form-label-sm">{{ model.ActualReturnedDate | date : 'MM-dd-yyyy, h:mm a' }}</label>
                                            <span class="form-label-symbol">
                                                <span class="fa fa-calendar"></span>
                                            </span>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="form-group">
                            <button [hidden]="model.StatusId === 2 || model.StatusId === 3" type="button" 
                                (click)="returnLoan()" class="btn btn-md btn-primary" style="width:49%">
                                <i class="fa fa-refresh"></i> Return
                            </button>
                            <button type="button" (click)="navigateDetails(model.Id)" class="btn btn-md btn-primary" style="width:100%" 
                                [ngStyle]="(model.StatusId === 1 || model.StatusId === 4 || model.StatusId === 5) && {'width':'49%'}">
                                <i class="fa fa-eye"></i> Show Details
                            </button>
                        </div>
                </div>
                </div>
        </div>  
    </div>
</div>